#!/bin/bash
#
# $1 - kernel file
# $2 - name kernel image file
# Result:
#

rm -f -R ./tmp
mkdir ./tmp
cp -R -f $1 ./tmp/uImage

case $ROOTFS_FS_TYPE in
    ubi)
        leb_size=126976
        page_size=2048
        max_lebs=1710
        if [ "$KERNEL_FS_UBI_LEBS" != "" ] ; then
            max_lebs=$KERNEL_FS_UBI_LEBS
        fi
        if [ "$KERNEL_FS_UBI_LEB_SIZE" != "" ] ; then
            leb_size=$KERNEL_FS_UBI_LEB_SIZE
        fi
        if [ "$KERNEL_FS_UBI_PAGE" != "" ] ; then
            page_size=$KERNEL_FS_UBI_PAGE
        fi

        ./or_mkfs.ubifs -r ./tmp -o $2 -c $max_lebs -e $leb_size -m $page_size
    ;;

    *)
        cp $1 $2
    ;;
esac

rm -f -R ./tmp
